<template>
    <div class="columns three right city-choice">
        <div class="link">
            <a href="#" @click.prevent="select">{{$installment.geo_type === 'geo' ? 'Партнеры рядом' : $installment.city}}</a>
        </div>
        <div class="pop-up" v-if="!city">
            <div class="header">Ваш город &mdash; Москва?</div>
            <div class="button-block">
                <button class="blue" @click="setCity('moscow')">Да</button>
                <button class="white" @click="select">Выбрать другой город</button>
            </div>
            <p>Укажите свой регион и мы покажем предложения только для вас</p>
        </div>

        <city-choice-modal @choice="setCity"></city-choice-modal>
    </div>
</template>

<script>
    import CityChoiceModal from '@/components/Modals/CityChoice';


    export default {
        name: 'CityChoice',
        components: {
            CityChoiceModal
        },
        computed: {
            city() {
                return this.$installment.geo_fias_id || this.$installment.location.lat;
            }
        },

        created () {

        },

        methods: {
            choice() {

            },

            select() {
                this.$modal.show('choice-city');
            },

            setCity(id) {
                if (id === 'moscow') {
                    id = {
                        "city":"Москва",
                        "city_fias_id":"0c5b2444-70a0-4932-980c-b4dc0d3f02b5"
                    };
                }
                this.$store.commit('SET_POS_FIAS', id);
                this.$modal.hide('choice-city');
            }
        }

    };
</script>

<style lang="scss">
    @import "../../../static/css/pos/index.scss";
</style>
